Skip to main content
GET
/
tasks
/
{id}
Get a task
curl --request GET \
  --url https://api.cura.inc/tasks/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "attributes": {
      "title": "<string>",
      "description": "<string>",
      "company_id": "<string>",
      "assignee_id": "<string>",
      "due_date": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Your workspace API key (cura_…), sent as Authorization: Bearer <key>.

Path Parameters

id
string<uuid>
required

Task id.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

The task.

data
object
required

A portfolio follow-up task.